Subject: Re: [IPP] Sending an attribute with "no-value" in a request (from ipptool or otherwise) - is this OK?

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Fri, 2 Jun 2017 21:08:58 +0000

Thanks! Submitted:

https://github.com/istopwg/ippsample/issues/37 <https://github.com/istopwg/ippsample/issues/37>

Smith

> On May 31, 2017, at 4:07 PM, Michael Sweet <[email-masked]> wrote:
> 
> Smith,
> 
> ipptool doesn't currently support out-of-band values in tests, but probably should.  Please file a bug and I'll make it happen...
> 
> 
>> On May 31, 2017, at 2:26 PM, Kennedy, Smith (Wireless Architect) <[email-masked]> wrote:
>> 
>> Hello,
>> 
>> I have a colleague who was trying to create an ipptool .test file that contained the following directive for the request:
>> 
>>   ATTR no-value finishings-col fakeval
>> 
>> or
>> 
>>   ATTR no-value finishings-col
>> 
>> The ipptool tool currently doesn't support this. Is this incorrect from an IPP point of view, or a "defect" in ipptool? I tried to see if there was a place in RFC 8010 / RFC 8011 that forbade this but didn't find anything definitive, so I' wasn't sure.
>> 
>> Thoughts?
>> 
>> Smith
>> 
>> /**
>>   Smith Kennedy
>>   Wireless Architect - Client Software - IPG-PPS
>>   Standards - IEEE ISTO PWG / Bluetooth SIG / Wi-Fi Alliance / NFC Forum / USB IF
>>   Chair, IEEE ISTO Printer Working Group
>>   HP Inc.
>> */
>> 
>> 
>> 
>> _______________________________________________
>> ipp mailing list
>> [email-masked]
>> https://www.pwg.org/mailman/listinfo/ipp
> 
> _________________________________________________________
> Michael Sweet, Senior Printing System Engineer
> 

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp